locked
Sql native client problème RRS feed

  • Question

  • Salut tout le monde , tout d'abord je vous remercie de prendre le temps pour lire mon message :) .

    Je suis sous IIS sur ma machine et j'ai un petit problème, j'ai fais un code en PHP et puis une fois que je veux afficher les erreurs j'ai ceci :


    Array ( [0] => Array ( [0] => IMSSP [SQLSTATE] => IMSSP [1] => -49 [code] => -49 [2] => This extension requires the Microsoft SQL Server 2012 Native Client. Access the following URL to download the Microsoft SQL Server 2012 Native Client ODBC driver for x86: http://go.microsoft.com/fwlink/?LinkId=163712 [message] => This extension requires the Microsoft SQL Server 2012 Native Client. Access the following URL to download the Microsoft SQL Server 2012 Native Client ODBC driver for x86: http://go.microsoft.com/fwlink/?LinkId=163712 ) [1] => Array ( [0] => IM002 [SQLSTATE] => IM002 [1] => 0 [codee] => 0 [2] => [Microsoft][ODBC Driver Manager] Data source name not found and no default driver specified [message] => [Microsoft][ODBC Driver Manager] Data source name not found and no default driver specified ) )


    En plus claire il me faut "Microsoft SQL Server 2012 Native Client".

    Mais je suis sous Windows 2008 Server R2 , de même pour SQL (Windows Server 2008 R2 Developper edition) donc je ne sais plus trop quoi faire , j'ai télécharger Le native client 2012 et rien n'y fais fonctionne toujours pas enfin le NC2012 ne veut même pas se lancer tout court.. Merci à vous j'ai passé ma soirée dessus et je suis au bord du suicide ( Ironie biensur ! )

    Information : IIS , PhP v5.4.9
    dimanche 30 décembre 2012 01:50

Réponses

Toutes les réponses

  • Bonjour,

    Si vous désirez installer SQL server 2008 sur un serveur 2008 R2 vous devez activé Net Framework 3.5 qui est fourni comme un composant de Windows. Par défaut Net Framework 3.5 n'est pas activé.

    Vérifiez que Net Framework 3.5 est activé à partir du composant de fonctionnalités de Windows avant d'exécuter l'installation de SQL server 2008.

    Gardez à l'esprit qu'une mise à jour d'une instance 32 bits de SQL server 2008 R2 (2005,2008) X86 vers une instance 64 bits de SQL server 2008 R2 n'est pas supporté. L'inverse également.

    SQL server 2012 nécessite Microsoft.NET Framework 3.5 SP1 au minimum.

    Cordialement,

    Bricoleur.


    sans l'acquisition d'un immense superflu chaque condition se sent misérable. DIDEROT


    • Modifié Bricoleur dimanche 30 décembre 2012 05:44
    dimanche 30 décembre 2012 05:41
  • Oui, enfaite j'ai déjà SQL Server 2008 R2 , j'ai un script PHP qui se connecte dans ma base de donnée vie mssql ect...

    Mais j'ai cette erreur qui s'affiche lors ce que j'ouvre le site j'ai l'erreur que j'ai cité plus haut me demandant d'installer SQL Native Client 2012, hors que j'ai déjà le 2008.

    dimanche 30 décembre 2012 14:36
  • Bonjour,

    Avez-vous suivi les liens qui vous sont fournis dans votre message d'erreur ?

    http://msdn.microsoft.com/en-us/library/cc296170.aspx

    http://go.microsoft.com/fwlink/?LinkId=163712 )

    Cordialement,

    Bricoleur.


    sans l'acquisition d'un immense superflu chaque condition se sent misérable. DIDEROT

    mardi 1 janvier 2013 00:33
  • J'ai suivie toutes les instructions, et lors de l'installation de SQL Native Client 2012 j'ai cette erreur :

    http://upload.gaming-box.net/pictures//1357002984.png

    mardi 1 janvier 2013 13:54
  • Bonjour,

    http://social.msdn.microsoft.com/Forums/en-US/sqldriverforphp/thread/2ed0d61f-eafb-4d50-9562-2fc6a01202d0

    Cordialement,

    Bricoleur.


    sans l'acquisition d'un immense superflu chaque condition se sent misérable. DIDEROT

    mardi 1 janvier 2013 22:32